module Rise
  module MirrorManager
    class << self
      attr_accessor :configuration
    end

    def self.configure
      self.configuration ||= Configuration.new
      yield(configuration)
    end

    # Class containing application configuration
    class Configuration
      attr_accessor :log_dir, :admin_email, :mirror_data_file, :database, :slack_webhook
    end
  end
end
