require_relative 'custom_error'

module Rise
  module MirrorManager
    module Error
      # Custom exception class for cmd failures
      class CmdError < CustomError
        def initialize(msg, original = $ERROR_INFO)
          super(:cmd_error, msg)
          @original = original
        end
      end
    end
  end
end
