module Rise
  module MirrorManager
    module Error
      # Class for RISE custom error exception
      class CustomError < StandardError
        attr_reader :status, :error, :message

        def initialize(error = nil, msg = nil)
          @error = error || :generic_error
          @message = msg || 'Something went wrong'
        end

        def log_error
          # log error
        end
      end
    end
  end
end
